@use 'global.scss';
@use 'mixins.scss';
@use 'page.scss';

.header {
  &__title {
    @include mixins.heading-1();
  }
}

/* MAIN */
.main {
  align-items: center;
  
  &__map {
    margin-top: 2rem;
    height: 180px;
    z-index: -10;
    width: 100%;
  }
  &__item {
    margin: 0.5rem 0;
  }

  &__cards {
    margin-top: 64px;

    @include mixins.laptop() {
      display: flex;
      gap: 2rem;
    }
  }

  @include mixins.laptop() {
    padding: 0 global.$sidebar-width;
    flex-direction: column-reverse;
  }

  @include mixins.desktop() {
    padding: 0 global.$sidebar-width-desktop;
  }
}

.header {
  @include mixins.laptop() {
    margin: auto auto global.$sidebar-height 2rem;
  }

  @include mixins.desktop() {
    margin-bottom: global.$sidebar-height-desktop;
  }

  &__title {
    display: flex;
    flex-direction: column;
    max-width: 24rem;
  }
}

/* UL PLANETES*/

.card {
  $self: &;
  margin-bottom: 64px;

  @include mixins.laptop() {
    margin-bottom: 0;
  }

  &--pink {
    @include mixins.card($self, global.$pink);

    @include mixins.laptop() {
      position: relative;
      top: 5%;
      right: 10%;
    }
  }
  
  &--blue {
    @include mixins.card($self, global.$blue);

    @include mixins.laptop() {
      position: relative;
      top: 70%;
      left: 10%;
    }
  }
  
  &--orange {
    @include mixins.card($self, global.$orange);

    @include mixins.laptop() {
      position: relative;
      top: -5%;
      left: 15%;
    }
  }
}

/* UL SOCIALS */

.main__socials {
  display: flex;
  justify-content: center;
  gap: 1rem;
  width: 75%;
  margin: 10px;

  @include mixins.laptop() {
    position: absolute;
    right: calc(global.$sidebar-width + 4rem);
    bottom: 1.5rem;
    width: auto;
  }

  @include mixins.desktop() {
    right: calc(global.$sidebar-width-desktop + 4rem);
  }
}

.main__social {
  &:nth-child(1){
    .social__link {
      border-color: #00ff85;
    }
  }
  &:nth-child(2){
    .social__link {
      border-color: #a0d900;
    } 
  }
  &:nth-child(3){
    .social__link {
      border-color: global.$pink;
    }
  }
}
.social__link {
  border : 1px solid;
  border-radius: 100%;
  padding: 20px;
  width: 56px;
  height: 56px;
  display: flex;
  align-items: center;
  justify-content: center;
}
/* MEMBRE */

.membre {
  
  &__container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: global.$pink 1px solid;
    margin: 1.5rem 0;
    padding: 1.5rem 0;
  }
  &__caption {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  &__name {
    font-size: 1.2rem;
  }
  &__poste {
    font-size: 1rem;
    color: global.$pink;
  }
}
